## Description
Brief description of the changes in this pull request.

## Type of Change
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Code refactoring

## Scientific Context
If applicable, describe the scientific motivation or use case:
- What analysis capabilities does this add/improve?
- What types of simulations/materials does this support?

## Testing
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] I have tested this with real LAMMPS simulation data

## Documentation
- [ ] I have updated the docstrings following NumPy/Google style
- [ ] I have updated the user documentation if needed
- [ ] I have added examples demonstrating the new functionality

## Checklist
- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] My changes generate no new warnings
- [ ] I have checked my code and corrected any misspellings

## Test Results
Please include relevant test output or screenshots showing your changes work:

```
# Paste test output here
```

## Related Issues
Closes #(issue_number) (if applicable)
